URLReaderSource (Groovy 2.4.11)
Date: 2017-04-27

org.codehaus.groovy.control.io

## Class URLReaderSource

- java.lang.Object
- - org.codehaus.groovy.control.io.AbstractReaderSource
  - - org.codehaus.groovy.control.io.URLReaderSource

- All Implemented Interfaces:
    HasCleanup, ReaderSource

      public class URLReaderSource
      extends AbstractReaderSource

  A ReaderSource for source files hosted at a URL.
  Author:
    Chris Poirier

- - ### Field Summary

    - ### Fields inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

      `configuration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `URLReaderSource(URL url, CompilerConfiguration configuration)` Creates the ReaderSource from a File descriptor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Reader` | `getReader()` Returns a new Reader on the underlying source object.
    `URI` | `getURI()` Returns a URI for the URL of this source.

    - ### Methods inherited from class org.codehaus.groovy.control.io.AbstractReaderSource

      `canReopenSource, cleanup, getLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### URLReaderSource

          public URLReaderSource(URL url,
                                 CompilerConfiguration configuration)

      Creates the ReaderSource from a File descriptor.
      Parameters:
        `url` - url pointing to script source
        `configuration` - configuration for compiling source

  - ### Method Detail

    - #### getReader

          public Reader getReader()
                           throws IOException

      Returns a new Reader on the underlying source object.
      Returns:
        the reader to the resource
      Throws:
        `IOException` - if there was an error opening for stream

    - #### getURI

          public URI getURI()

      Returns a URI for the URL of this source.
      Returns:
        URI for the URL of this source.